using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TypePredefini
{
    class Program
    {
        static void Main(string[] args)
        {
            // types PREDEFINIES entier
            int y = 20;
            short z = 5;
            byte octet = 0xFF;

            //types PREDEFINIES flottant
            float a = 4.5f;
            double w; // je peux déclarer puis initialiser après
            w = 1.7E+3;
            Console.WriteLine(y + " " + z);
            Console.WriteLine(a + " " + w);
            Console.WriteLine("HEX:{0:x}  DEC:{0:D}", octet);

            // Chaine de caractere
            String hello = "bonjour";
            String formation = "LP";
            String helloConcat = hello + formation;
            Console.WriteLine(hello + " " + helloConcat.Length);
            Console.WriteLine(helloConcat);

            Console.ReadKey(); // attente appui touche
        }
    }
}
